﻿using System.Collections.Generic;

namespace StoreColumnOrder
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {
        public MainWindow()
        {
            InitializeComponent();
            People p = new People();
            int id = 1;
            p.Add(new Person() { Id = id++, FirstName = "John", LastName = "Johnson" });
            p.Add(new Person() { Id = id++, FirstName = "Tom", LastName = "Thompson" });
            p.Add(new Person() { Id = id++, FirstName = "Jamie", LastName = "Jameson" });
            p.Add(new Person() { Id = id++, FirstName = "Annie", LastName = "Anderson" });
            PeopleListView.ItemsSource = p;
        }

        public class Person
        {
            public int Id { get; set; }
            public string FirstName { get; set; }
            public string LastName { get; set; }
        }

        public class People : List<Person>
        {
        }

        private void Window_Closing(object sender, System.ComponentModel.CancelEventArgs e)
        {
            PeopleListView.Dispose();
        }
    }
}
